
#ifdef INLINE_MATERIAL_OVERRIDE
#inline <INLINE_MATERIAL_OVERRIDE>
#endif

#ifndef MATERIAL_OVERRIDE_ALBEDO
vec4 getMaterialAlbedo(MaterialPropertiesGPU material, vec4 albedo, vec3 worldCoords, vec3 localCoords, vec3 worldNormal, vec3 localNormal)
{
	return albedo;
}
#endif

#ifndef MATERIAL_OVERRIDE_EMISSIVE
vec3 getMaterialEmissive(MaterialPropertiesGPU material, vec3 emissive, vec3 worldCoords, vec3 localCoords, vec3 worldNormal, vec3 localNormal)
{
	return emissive;
}
#endif

#ifndef MATERIAL_OVERRIDE_ROUGHNESS
float getMaterialRoughness(MaterialPropertiesGPU material, float roughness, vec3 worldCoords, vec3 localCoords, vec3 worldNormal, vec3 localNormal)
{
	return roughness;
}
#endif

#ifndef MATERIAL_OVERRIDE_METALNESS
float getMaterialMetalness(MaterialPropertiesGPU material, vec3 worldCoords, vec3 localCoords, vec3 worldNormal, vec3 localNormal)
{
	return 1.0;
}
#endif

#ifndef MATERIAL_OVERRIDE_NORMAL
vec3 getMaterialNormal(MaterialPropertiesGPU material, vec3 normal, vec3 worldCoords, vec3 localCoords, vec3 worldNormal, vec3 localNormal)
{
	return normal;
}
#endif

#ifndef MATERIAL_OVERRIDE_DISCARD
bool getMaterialDiscard(MaterialPropertiesGPU material, vec3 worldCoords, vec3 localCoords, vec3 worldNormal, vec3 localNormal)
{
	return false;
}
#endif
